1

Topic: Dovecot addons installed but conflicts

==== Required information ====
- iRedMail version: 0.8.3
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): MYSQL
- Linux/BSD distribution name and version: CentOS 6.3
- Related log if you're reporting an issue: http://pastebin.com/PKNxVgya
====
I want to install iRedMail and after entering the passwords and so then when the packages should be installed this error comes up.(First thing i dont want to use apache i use nginx). And as mysql i dont use the normal mysql server from oracle i use the mariadb version.

If you have more question just write thx.

2

Re: Dovecot addons installed but conflicts

iRedMail doesn't support MariaDB, so this is the better way to achieve your goal:

- Install iRedMail with MySQL backend first.
- After installation completed, replace MySQL by MariaDB manually.

3

Re: Dovecot addons installed but conflicts

OK. THX for answer so in remove Maria DB  repo and run the script again after hat activate Maria DB repo in and remove MySQL and replace it with Maria DB.
But what is with the dovecot error?

4

Re: Dovecot addons installed but conflicts

Galexrt wrote:

But what is with the dovecot error?

Package conflict. You MUST disable ALL third-party yum repositories before installing iRedMail. It's mentioned in our installation guide:
http://www.iredmail.org/install_iredmail_on_rhel.html (Search "disable" in this page)

5

Re: Dovecot addons installed but conflicts

Ok Thanks a lot for the help ;-)
I write when i'm done.

6

Re: Dovecot addons installed but conflicts

I'm now getting after disableing all third party repos and the ones said in the tutorial, i get this error:
Transaction Check Error:
  file /usr/lib64/dovecot/settings/libmanagesieve_login_settings.so conflicts between attempted installs of dovecot-managesieve-2:0.2.6-21.el6.x86_64 and dovecot-pigeonhole-1:2.0.9-2.el6_1.1.x86_64
  file /usr/lib64/dovecot/settings/libmanagesieve_settings.so conflicts between attempted installs of dovecot-managesieve-2:0.2.6-21.el6.x86_64 and dovecot-pigeonhole-1:2.0.9-2.el6_1.1.x86_64
  file /usr/libexec/dovecot/managesieve conflicts between attempted installs of dovecot-managesieve-2:0.2.6-21.el6.x86_64 and dovecot-pigeonhole-1:2.0.9-2.el6_1.1.x86_64
  file /usr/libexec/dovecot/managesieve-login conflicts between attempted installs of dovecot-managesieve-2:0.2.6-21.el6.x86_64 and dovecot-pigeonhole-1:2.0.9-2.el6_1.1.x86_64

7

Re: Dovecot addons installed but conflicts

You already have dovecot-managesieve installed? Please remove it first.
It's better to install iRedMail on a FRESH os.